/*
 * Copyright (c) 2005-2013 Dirk Aporius <dirk.aporius@gmail.com>
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package org.apogames;

/**
 * Konstanten
 * @author Dirk Aporius
 *
 */
public class ApoConstants {

	public static boolean BUFFER_STRATEGY = true;
	/** gibt zurck, ob die Anwendung eine Applikation oder ein Applet ist */
	public static boolean B_APPLET = false;
	/** gibt zurck, ob die Anwendung eine Applikation oder ein Applet ist */
	public static boolean B_FPS = false;
	/** gibt zurck, ob die Anwendung online ist */
	public static boolean B_ONLINE = true;
	
	public static int FPS_RENDER = 60;
	public static int FPS_THINK = 100;

	public final static String HIGHSCORE_GETPHP = "http://www.apo-games.de/apoSheeptastic/get_highscore.php";
	public final static String HIGHSCORE_SAVEPHP = "http://www.apo-games.de/apoSheeptastic/save_highscore.php";
	
	public final static String HIGHSCORE_GETPHP_ONE = "http://www.apo-games.de/apoSheeptastic/get_highscore_one.php";
	public final static String HIGHSCORE_SAVEPHP_ONE = "http://www.apo-games.de/apoSheeptastic/save_highscore_one.php";

	public final static String USERLEVELS_GETPHP = "http://www.apo-games.de/apoSheeptastic/get_level.php";
	public final static String USERLEVELS_SAVEPHP = "http://www.apo-games.de/apoSheeptastic/save_level.php";

}
